# HG changeset patch
# Parent 3c7b7ca9ea70b0083f92379a4104b540c79de7bd
Mark unused argument.

diff -r 3c7b7ca9ea70 -r ff948f4ae93b src/ChangeLog
--- a/src/ChangeLog	Mon Sep 09 11:31:13 2013 +0900
+++ b/src/ChangeLog	Mon Sep 09 23:25:01 2013 +0900
@@ -1,3 +1,7 @@
+2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
+
+	* alloc.c (free_normal_lisp_object): Mark unused argument.
+
 2013-09-09  Stephen J. Turnbull  <stephen@xemacs.org>
 
 	* bytecode.c (bytecode_negate): 
diff -r 3c7b7ca9ea70 -r ff948f4ae93b src/alloc.c
--- a/src/alloc.c	Mon Sep 09 11:31:13 2013 +0900
+++ b/src/alloc.c	Mon Sep 09 23:25:01 2013 +0900
@@ -832,23 +832,25 @@
   zero_sized_lisp_object (obj, lisp_object_size (obj));
 }
 
+#ifdef NEW_GC
+void
+free_normal_lisp_object (Lisp_Object UNUSED(obj))
+{
+  /* Manual frees are not allowed with asynchronous finalization */
+  return;
+}
+#else
 void
 free_normal_lisp_object (Lisp_Object obj)
 {
-#ifndef NEW_GC
   const struct lrecord_implementation *imp =
     XRECORD_LHEADER_IMPLEMENTATION (obj);
-#endif /* not NEW_GC */
-
-#ifdef NEW_GC
-  /* Manual frees are not allowed with asynchronous finalization */
-  return;
-#else
+
   assert (!imp->frob_block_p);
   assert (!imp->size_in_bytes_method);
   old_free_lcrecord (obj);
+}
 #endif
-}
 
 #ifndef NEW_GC
 int
